Index: /trunk/LMDZ.GENERIC/README
===================================================================
--- /trunk/LMDZ.GENERIC/README	(revision 252)
+++ /trunk/LMDZ.GENERIC/README	(revision 253)
@@ -400,5 +400,5 @@
 
 == 31/03/2010 ==
-==> call this version LMDZ.GENERIC.v0.5 
+==> call this version LMDZ.GENERIC.v0.5
 -- OLR --
    The .nc functions were implemented and tested. It was necessary to add
@@ -441,2 +441,89 @@
    major change, but there are enough cases where it will be useful to
    make it worthwhile in the universal code. I have done the same with rcp.
+
+== 10/10/2010 ==
+==> call this version LMDZ.GENERIC.v0.6
+-- startup --
+   We now check water tracers exist in newstart.F before all watery initialisation options.
+   Added an option 'autozlevs' to run.def (and logic.h). When true this recalculates the scale
+   height in z2sig.def in order to get the same minimum pressure for any resolution.
+   Currently, this is only useful for one-d simulations.
+   Pressure is now distributed better in newstart.F. There was a bug before when the global mean of phi
+   was not equal to zero and the surface pressure was changed with topography still present.
+   In initracer, we no longer automatically set h2o_vap=h2o_ice.   
+
+-- general --
+   periheli, apheli --> periastr, apoastr. Note this necessitates a change in start_planet too.
+   testphys1d.F --> rcm1d.F
+   physiq.F, callcorrk.F upgraded to Fortran 90 to remove evil zerophys.
+   I cleaned up the method of displaying energy balance and temperature range in the model a bit.
+   Pure H2 atmospheres are now permitted, although the code is _untested_. Rayleigh scattering,
+   specific heat capacities and molar masses are varied, and the H2-H2 collision-induced data 
+   of Grushka et al. is used for the radiative transfer.
+
+-- boundary layer --
+   An improved version of vdifc.F has been created that includes the latent heat effect of water vapor,
+   following the method used in 'clmain' in the LMDZ terrestrial model.
+
+-- water cycle --
+   Benjamin's improvements have been added, namely the hydrology, and reevaporation.
+   Variable cloud fractions are allowed, or a global fixed value may be chosen
+   for use in aeropacity. Surface wetness (beta) is now calculated in a simple way, and
+   outputed as a diagnostic, along with the atmospheric relative humidity.
+  
+   mol/mol to kg/kg bug in callcorrk corrected.
+
+-- radiative transfer --
+   A major bug in gfluxv.F was corrected. It involved BSURF, the radiation reflected upwards from 
+   the ground.
+   In aeropacity, we now set the cloud opacity in the top layer of the atmosphere to zero. This solves
+   an instability problem that was occurring when CO2 clouds formed.
+   Dust is back! Only fixed profiles allowed for now. It is assigned "naerkind=3" in aeropacity.F90.
+   If 'CLFvarying' is enabled, the corrk subroutine is now called twice per timestep - once for clear
+   skies and once for cloudy. This slows things down but is effective for Earth-like simulations.
+   An optional Newtonian cooling scheme has been implemented that can replace the correlated-k method
+   for dynamical tests etc. It is pretty experimental and has not been extensively tested.
+
+-- Dynamics --
+   callgroupeun in gcm.F has been set to FALSE, as it does not conserve tracers.
+   The coefficient facup has been set to 1 in inidissip.F. We may need to mess
+   with this later if it makes the model too unstable.
+
+== 1/08/2011 ==
+==> call this version LMDZ.GENERIC.v0.7
+
+   Main change: a new file 'gases.def' now required at startup. This tells us which gases are in
+   the planet's atmosphere. It is used to calculate fundamental quantities like cpp and mugaz.
+   A check is made against the radiative transfer data to make sure they correspond.
+
+   Code has been tested successfully using the 'gfortran compiler'.
+
+-- startup --
+   a bug involving tsoil interpolation in lect_start_archive.F was corrected.   
+
+-- aerosols --
+   gauss integration number 5-->10 in aeroptproperties.F90
+
+-- water cycle --
+   Big fat bug in rain.F90 corrected. The routine internally updated the temperature 
+   with new tendencies before it was supposed to happen!
+   Bug in oborealis where phi not properly updated was corrected.
+   Improvements to hydrol.F90: zdtsurf_hyd --> pdtsurf_hyd
+   A 'sourceevol' option was added (accessed in callphys.def) that allows us to track the
+   evolution of the surface distribution over time.
+   Another bug in rain corrected involving evaporation - it was heating the atmosphere
+   rather than cooling it...
+
+-- convection --
+   I found a bug in convadj.F that breaks tracer conservation when convection stops at one layer 
+   and immediately restarts in the next one.
+
+-- diagnostics --
+   Some bugs corrected in the computation of 3D averages for the H2O / energy conservation 
+   diagnostics.
+
+-- radiative transfer --
+   A bug involving continuum opacities (variable DCONT) was corrected in optci.F90 and optcv.F0.
+   H2-H2 warming now in theory reliable and correct (60-1000 K).
+   A bug involving the definition of the Planck function boundaries was corrected in sfluxi.F90
+   and gfluxi.F.
Index: /trunk/LMDZ.GENERIC/deftank/autocontinue
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/autocontinue	(revision 253)
+++ /trunk/LMDZ.GENERIC/deftank/autocontinue	(revision 253)
@@ -0,0 +1,16 @@
+# @ job_name=gcm_3D
+# @ output = $(job_name).$(jobid)
+# @ error = $(output)
+# @ job_type = serial
+# @ class = D
+# @ queue
+
+#grep "^# @" $0
+#set -vx
+#
+
+echo "Running for multiple years to reach equilibrium."
+cp -f run_normal.def run.def
+
+run0
+
Index: /trunk/LMDZ.GENERIC/deftank/autospinup
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/autospinup	(revision 252)
+++ /trunk/LMDZ.GENERIC/deftank/autospinup	(revision 253)
@@ -1,36 +1,23 @@
-#!/bin/bash
+# @ job_name=gcm_3D
+# @ output = $(job_name).$(jobid)
+# @ error = $(output)
+# @ job_type = serial
+# @ class = D
+# @ queue
 
-#DEF_DIR=/san/home/rdword/gcm/spinups
-DEF_DIR=/u/rwlmd/spinups/
+#grep "^# @" $0
+#set -vx
+#
 
-#makegcm -d 32x24x20 -b 32x36 -t 2 -p std gcm
-#makegcm -d 32x24x20 -b 32x36 -t 2 -p std newstart
-
-newstart.e < start_earth
+cp -f run_spinup.def run.def
+newstart.e < start_earlymars
 startrestart
 
-echo "Starting short GCM spinup run #1..."
-cp -f $DEF_DIR/run1.def run.def
-gcm.e > lruns1
-startrestart
-
-echo "Starting short GCM spinup run #2..."
-cp -f $DEF_DIR/run2.def run.def
-gcm.e > lruns2
-startrestart
-
-echo "Finishing GCM spinup year..."
-cp -f $DEF_DIR/run_1styr_earth.def run.def
-gcm.e > lrun0
+echo "Starting GCM spinup year..."
+gcm.e
 startrestart0
 
-exit 0
+echo "Running for multiple years to reach equilibrium."
+cp -f run_normal.def run.def
+run0
 
-# run for many years to reach equilibrium
-#cp -f run_1yr_earth.def run.def
-#rm -f num_run
-#run0
-
-# start the final 1-yr run with intensive OLR save
-#cp -f run_1yr_earth_OLR.def run.def
-#run_OLR
Index: /trunk/LMDZ.GENERIC/deftank/callphys.GJ581d
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/callphys.GJ581d	(revision 253)
+++ /trunk/LMDZ.GENERIC/deftank/callphys.GJ581d	(revision 253)
@@ -0,0 +1,129 @@
+## Orbit / general options
+## ~~~~~~~~~~~~~~~~~~~~~~~
+# Run with or without tracer transport ?
+tracer    = .true.
+# Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
+diurnal   = .false.
+# Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
+season    = .true. 
+# Tidally resonant orbit ? must have diurnal=false, correct rotation rate in newstart
+tlocked   = .true.
+# Tidal resonance ratio ? ratio T_orbit to T_rotation
+nres      = 10
+# Write some more output on the screen ?
+lwrite    = .false.
+# Save statistics in file "stats.nc" ?
+callstats = .false.
+# Test energy conservation of model physics ?
+enertest  = .true.
+
+## Radiative transfer options
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# call radiative transfer?
+callrad    = .true.
+# the rad. transfer is computed every "iradia" physical timestep
+iradia     = 4
+# call multilayer correlated-k radiative transfer ?
+corrk      = .true.
+# folder in which correlated-k data is stored ?
+corrkdir   = CO2_H2Ovar
+# call visible gaseous absorption in radiative transfer ?
+callgasvis = .true.
+# Include Rayleigh scattering in the visible ?
+rayleigh   = .true.
+# Characteristic planetary equilibrium (black body) temperature
+# This is used only in the aerosol radiative transfer setup. (see aerave.F)
+tplanet    = 215.
+# Output spectral OLR in 1D/3D?
+specOLR    = .false.
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .true.
+# Variable gas species: Radiatively active ?
+varactive  = .true.
+# Variable gas species: Fixed vertical distribution ?
+varfixed   = .false.
+# Variable gas species: Saturation percentage value at ground ?
+satval     = 0.0
+
+## Star type
+## ~~~~~~~~~
+startype = 2
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# The choices are:
+#
+#	startype = 1		Sol        (G2V-class main sequence)
+#	startype = 2		Ad Leo     (M-class, synthetic)
+#       startype = 3            GJ644
+#       startype = 4            HD128167
+# ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Stellar flux at 1 AU. Examples:
+# 1366.0 W m-2		Sol today
+# 1024.5 W m-2		Sol today x 0.75 = weak early Sun
+# 18.462 W m-2		The feeble Gl581
+# 19.960 W m-2		Gl581 with e=0.38 orbital average
+Fat1AU = 18.46
+
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Gravitational sedimentation of tracers (KEEP FALSE FOR NOW) ?
+sedimentation = .false.
+
+## Other physics options
+## ~~~~~~~~~~~~~~~~~~~~~
+# call turbulent vertical diffusion ?
+calldifv = .true.
+# call convective adjustment ?
+calladj  = .true.
+# call thermal conduction in the soil ?
+callsoil = .true.
+
+#########################################################################
+## extra non-standard definitions for Gliese 581d
+#########################################################################
+ 
+## Radiative transfer options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Parameterized Earth-like ozone absorption ?
+ozone         = .false.
+
+## Tracer and aerosol options 
+## ~~~~~~~~~~~~~~~~~~~~~~~~~~
+# Fixed aerosol distributions?
+aerofixed     = .true.
+# Varying H2O cloud fraction?
+CLFvarying    = .false.
+# H2O cloud fraction?
+CLFfixval     = 1.0
+# number mixing ratio of CO2 ice particles
+Nmix_co2      = 100000.
+# number mixing ratio of water ice particles
+Nmix_h2o      = 100000.
+
+## Water options 
+## ~~~~~~~~~~~~~
+# Model water cycle
+water         = .true.
+# Model water cloud formation
+watercond     = .true.
+# Model water precipitation (including coagulation etc.)
+waterrain     = .true.
+# WATER: Precipitation threshold (simple scheme only) ?
+rainthreshold = 0.0
+# Include hydrology ?
+hydrology     = .true.
+# H2O snow (and ice) albedo ?
+albedosnow    = 0.5
+# Maximum sea ice thickness ?
+maxicethick   = 0.05
+# Freezing point of seawater (degrees C) ?
+Tsaldiff      = 0.0
+
+## CO2 options 
+## ~~~~~~~~~~~
+# gas is non-ideal CO2 ?
+nonideal      = .false.
+# call CO2 condensation ?
+co2cond       = .true.
+# Set initial temperature profile to 1 K above CO2 condensation everywhere?
+nearco2cond   = .false.
+
Index: /trunk/LMDZ.GENERIC/deftank/callphys.earlymars
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/callphys.earlymars	(revision 252)
+++ /trunk/LMDZ.GENERIC/deftank/callphys.earlymars	(revision 253)
@@ -4,5 +4,5 @@
 tracer    = .true.
 # Diurnal cycle ?  if diurnal=false, diurnally averaged solar heating
-diurnal   = .false.
+diurnal   = .true.
 # Seasonal cycle ? if season=false, Ls stays constant, to value set in "start"
 season    = .true. 
@@ -14,5 +14,5 @@
 lwrite    = .false.
 # Save statistics in file "stats.nc" ?
-callstats = .false.
+callstats = .true.
 # Test energy conservation of model physics ?
 enertest  = .false.
@@ -35,14 +35,14 @@
 # This is used only in the aerosol radiative transfer setup. (see aerave.F)
 tplanet    = 215.
-# Output spectral OLR in 3D?
+# Output spectral OLR in 1D/3D?
 specOLR    = .false.
-# Output global radiative balance in file 'olr.txt' - slow for 1D!!
-meanOLR    = .false.
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .true.
 # Variable gas species: Radiatively active ?
-varactive  = .false.
+varactive  = .true.
 # Variable gas species: Fixed vertical distribution ?
-varfixed   = .true.
+varfixed   = .false.
 # Variable gas species: Saturation percentage value at ground ?
-satval     = 0.8
+satval     = 0.0
 
 ## Star type
@@ -58,8 +58,9 @@
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # Stellar flux at 1 AU. Examples:
-# 1356.0 W m-2		Sol today
-# 1017.0 W m-2		Sol today x 0.75 = weak early Sun
-# 18.462 W m-2		The feeble Gl581
-Fat1AU = 1017.0
+# 1366.0 W m-2		Sol today
+# 1024.5 W m-2		Sol today x 0.75 = weak Sun 3.8 GYa
+# 18.462 W m-2		The feeble GJ581
+# 19.960 W m-2		GJ581 with e=0.38 orbital average
+Fat1AU = 1024.5
 
 ## Tracer and aerosol options 
@@ -78,16 +79,15 @@
 
 #########################################################################
-## extra non-standard definitions for Earth / Early Mars
+## extra non-standard definitions for Gliese 581d
 #########################################################################
- 
-## Radiative transfer options 
-## ~~~~~~~~~~~~~~~~~~~~~~~~~~
-# Parameterized Earth-like ozone absorption ?
-ozone         = .false.
 
 ## Tracer and aerosol options 
 ## ~~~~~~~~~~~~~~~~~~~~~~~~~~
 # Fixed aerosol distributions?
-aerofixed     = .true.
+aerofixed     = .false.
+# Varying H2O cloud fraction?
+CLFvarying    = .false.
+# H2O cloud fraction?
+CLFfixval     = 0.5
 # number mixing ratio of CO2 ice particles
 Nmix_co2      = 100000.
@@ -105,4 +105,6 @@
 # WATER: Precipitation threshold (simple scheme only) ?
 rainthreshold = 0.011
+# WATER: hydrology ?
+hydrology     = .true.
 
 ## CO2 options 
@@ -114,2 +116,15 @@
 # Set initial temperature profile to 1 K above CO2 condensation everywhere?
 nearco2cond   = .false.
+
+## N2 options
+## ~~~~~~~~~~
+# include N2 in cp and Rayleigh scattering calculation ?
+addn2 = .false.
+# N2 mixing ratio
+n2mixratio = 0.0
+
+## H2 options
+## ~~~~~~~~~~
+# include H2 in cp and Rayleigh scattering calculation ?
+# for now we assume H2 dominant if included
+addh2 = .false.
Index: /trunk/LMDZ.GENERIC/deftank/callphys.earth
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/callphys.earth	(revision 252)
+++ /trunk/LMDZ.GENERIC/deftank/callphys.earth	(revision 253)
@@ -23,9 +23,9 @@
 callrad    = .true.
 # the rad. transfer is computed every "iradia" physical timestep
-iradia     = 4
+iradia     = 6
 # call multilayer correlated-k radiative transfer ?
 corrk      = .true.
 # folder in which correlated-k data is stored ?
-corrkdir   = earth
+corrkdir   = N2CO2poor_H2Ovar
 # call visible gaseous absorption in radiative transfer ?
 callgasvis = .true.
@@ -37,12 +37,12 @@
 # Output spectral OLR in 3D?
 specOLR    = .false.
-# Output global radiative balance in file 'olr.txt' - slow for 1D!!
-meanOLR    = .false.
+# Output global radiative balance in file 'rad_bal.out' - slow for 1D!!
+meanOLR    = .true.
 # Variable gas species: Radiatively active ?
-varactive  = .false.
+varactive  = .true.
 # Variable gas species: Fixed vertical distribution ?
-varfixed   = .true.
+varfixed   = .false.
 # Variable gas species: Saturation percentage value at ground ?
-satval     = 0.8
+satval     = 0.0
 
 ## Star type
@@ -58,8 +58,8 @@
 # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 # Stellar flux at 1 AU. Examples:
-# 1356.0 W m-2		Sol today
-# 1017.0 W m-2		Sol today x 0.75 = weak early Sun
+# 1366.0 W m-2		Sol today
+# 1024.5 W m-2		Sol today x 0.75 = weak early Sun
 # 18.462 W m-2		The feeble Gl581
-Fat1AU = 1356.0
+Fat1AU = 1366.0
 
 ## Tracer and aerosol options 
@@ -78,16 +78,15 @@
 
 #########################################################################
-## extra non-standard definitions for Earth / Early Mars
+## extra non-standard definitions for Earth
 #########################################################################
  
-## Radiative transfer options 
-## ~~~~~~~~~~~~~~~~~~~~~~~~~~
-# Parameterized Earth-like ozone absorption ?
-ozone         = .false.
-
 ## Tracer and aerosol options 
 ## ~~~~~~~~~~~~~~~~~~~~~~~~~~
 # Fixed aerosol distributions?
-aerofixed     = .true.
+aerofixed     = .false.
+# Varying H2O cloud fraction?
+CLFvarying    = .true.
+# H2O cloud fraction if fixed?
+CLFfixval     = 0.5
 # number mixing ratio of CO2 ice particles
 Nmix_co2      = 100000.
@@ -105,4 +104,6 @@
 # WATER: Precipitation threshold (simple scheme only) ?
 rainthreshold = 0.011
+# WATER: hydrology ?
+hydrology     = .true.
 
 ## CO2 options 
@@ -114,2 +115,15 @@
 # Set initial temperature profile to 1 K above CO2 condensation everywhere?
 nearco2cond   = .false.
+
+## N2 options
+## ~~~~~~~~~~
+# include N2 in cp and Rayleigh scattering calculation ?
+addn2 = .false.
+# N2 mixing ratio
+n2mixratio = 0.0
+
+## H2 options
+## ~~~~~~~~~~
+# include H2 in cp and Rayleigh scattering calculation ?
+# for now we assume H2 dominant if included
+addh2 = .false.
Index: /trunk/LMDZ.GENERIC/deftank/run.def.earlymars_hires
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/run.def.earlymars_hires	(revision 253)
+++ /trunk/LMDZ.GENERIC/deftank/run.def.earlymars_hires	(revision 253)
@@ -0,0 +1,112 @@
+#
+#----------------------------------------------------------------------- 
+#Parametres de controle du run:                                          
+#------------------------------                                          
+
+# Nombre de jours d'integration                                         
+     nday=669
+
+# nombre de pas par jour (multiple de iperiod) ( ici pour  dt = 1 min )      
+ day_step = 960
+
+# periode pour le pas Matsuno (en pas)                                  
+  iperiod=5
+
+# periode de sortie des variables de controle (en pas)                  
+  iconser=120
+
+# periode d'ecriture du fichier histoire (en jour)                      
+    iecri=100
+
+# periode de stockage fichier histmoy (en jour)                         
+ periodav=60.
+
+# periode de la dissipation (en pas)                                    
+  idissip=5
+
+# choix de l'operateur de dissipation (star ou  non star )              
+ lstardis=.true.
+
+# avec ou sans coordonnee hybrides
+ hybrid=.true.
+
+# nombre d'iterations de l'operateur de dissipation   gradiv            
+nitergdiv=1
+
+# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+nitergrot=2
+
+# nombre d'iterations de l'operateur de dissipation  divgrad            
+   niterh=2
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=10000.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=10000.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=10000.
+
+# coefficient pour gamdissip                                            
+  coefdis=0.
+
+# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+  purmats=.false.
+
+# avec ou sans physique                                                 
+   physic=.true.
+
+# periode de la physique (en pas)                                       
+  iphysiq=20
+
+# choix d'une grille reguliere                                          
+  grireg=.true.
+
+# frequence (en pas) de l'ecriture du fichier diagfi               
+ ecritphy=1920
+
+# longitude en degres du centre du zoom                                 
+   clon=63.
+
+# latitude en degres du centre du zoom                                  
+   clat=0.
+
+# facteur de grossissement du zoom,selon longitude                      
+  grossismx=1.
+
+# facteur de grossissement du zoom ,selon latitude                      
+ grossismy=1.
+
+#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+  fxyhypb=.false.
+
+# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+   dzoomx= 0.
+
+# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+   dzoomy=0.
+
+#  raideur du zoom en  X
+    taux=2.
+
+#  raideur du zoom en  Y
+    tauy=2.
+
+#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus= .false.
+
+# Avec sponge layer
+  callsponge  = .true.
+ 
+# Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+  mode_sponge= 2
+
+# Sponge:  hauteur de sponge (km)
+  hsponge= 90
+
+# Sponge:  tetasponge (secondes)
+  tetasponge = 50000
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
Index: /trunk/LMDZ.GENERIC/deftank/run.def.earth_hires
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/run.def.earth_hires	(revision 253)
+++ /trunk/LMDZ.GENERIC/deftank/run.def.earth_hires	(revision 253)
@@ -0,0 +1,110 @@
+#
+#----------------------------------------------------------------------- 
+#Parametres de controle du run:                                          
+#------------------------------                                          
+
+# Nombre de jours d'integration                                         
+  nday = 365
+# nombre de pas par jour (multiple de iperiod) ( ici pour dt = 1 min )      
+ day_step = 360
+# periode pour le pas Matsuno (en pas)                                  
+  iperiod=5
+
+# periode de sortie des variables de controle (en pas)                  
+  iconser=120
+
+# periode d'ecriture du fichier histoire (en jour)                      
+    iecri=1000
+
+# periode de stockage fichier histmoy (en jour)                         
+ periodav=10.
+
+# periode de la dissipation (en pas)                                    
+  idissip=1
+
+# choix de l'operateur de dissipation (star ou  non star )              
+ lstardis=.true.
+
+# avec ou sans coordonnee hybrides
+ hybrid=.true.
+
+# nombre d'iterations de l'operateur de dissipation   gradiv            
+nitergdiv=1
+
+# nombre d'iterations de l'operateur de dissipation  nxgradrot          
+nitergrot=2
+
+# nombre d'iterations de l'operateur de dissipation  divgrad            
+   niterh=2
+
+# temps de dissipation des plus petites long.d ondes pour u,v (gradiv)  
+ tetagdiv=5400.
+
+# temps de dissipation des plus petites long.d ondes pour u,v(nxgradrot)
+ tetagrot=10000.
+
+# temps de dissipation des plus petites long.d ondes pour  h ( divgrad) 
+ tetatemp=10000.
+
+# coefficient pour gamdissip                                            
+  coefdis=0.
+
+# choix du shema d'integration temporelle (Matsuno ou Matsuno-leapfrog) 
+  purmats=.false.
+
+# avec ou sans physique                                                 
+   physic=.true.
+
+# periode de la physique (en pas)                                       
+  iphysiq=5
+
+# choix d'une grille reguliere                                          
+  grireg=.true.
+
+# frequence (en pas) de l'ecriture du fichier diagfi               
+ ecritphy=360
+
+# longitude en degres du centre du zoom                                 
+   clon=0.
+
+# latitude en degres du centre du zoom                                  
+   clat=0.
+
+# facteur de grossissement du zoom,selon longitude                      
+  grossismx=1.
+
+# facteur de grossissement du zoom ,selon latitude                      
+ grossismy=1.
+
+#  Fonction  f(y)  hyperbolique  si = .true.  , sinon  sinusoidale         
+  fxyhypb=.false.
+
+# extension en longitude  de la zone du zoom  ( fraction de la zone totale)
+   dzoomx= 0.
+
+# extension en latitude de la zone  du zoom  ( fraction de la zone totale)
+   dzoomy=0.
+
+#  raideur du zoom en  X
+    taux=2.
+
+#  raideur du zoom en  Y
+    tauy=2.
+
+#  Fonction  f(y) avec y = Sin(latit.) si = .TRUE. ,  Sinon  y = latit.
+  ysinus= .false.
+
+# Avec sponge layer
+  callsponge  = .true.
+ 
+# Sponge:  mode0(u=v=0), mode1(u=umoy,v=0), mode2(u=umoy,v=vmoy)
+  mode_sponge= 2
+
+# Sponge:  hauteur de sponge (km)
+  hsponge= 50
+
+# Sponge:  tetasponge (secondes)
+  tetasponge = 50000
+
+# some definitions for the physics, in file 'callphys.def'
+INCLUDEDEF=callphys.def
Index: /trunk/LMDZ.GENERIC/deftank/run0
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/run0	(revision 252)
+++ /trunk/LMDZ.GENERIC/deftank/run0	(revision 253)
@@ -4,5 +4,5 @@
 # SET HERE the maximum total number of simulations
 
-set nummax=2
+set nummax=5
 
 ###########################################################################
@@ -49,5 +49,5 @@
 
 # Run GCM
-nice gcm.e >! lrun${numnew} 
+gcm.e >! lrun${numnew} 
 
 
@@ -66,8 +66,8 @@
   endif
  echo 99999 >! num_run
-############## To receive an Email message if the run crashes ########
-mail -s "crash run GCM" $address <<ENDMAIL
-The run on $machine in $dir has just crashed.
-ENDMAIL
+############## To receive an email message if the run crashes ########
+#mail -s "crash run GCM" $address <<ENDMAIL
+#The run on $machine in $dir has just crashed.
+#ENDMAIL
 ############################################"" 
  exit
@@ -77,4 +77,7 @@
 if ( -f diagfi.nc ) then
   \mv -f diagfi.nc diagfi${numnew}.nc
+endif
+if ( -f diagspec.nc ) then
+  \mv -f diagspec.nc diagspec${numnew}.nc
 endif
 if ( -f diagsoil.nc ) then
@@ -95,7 +98,10 @@
 
 if ( -f rad_bal.out ) then
-    mv rad_bal.out radbal${numnew}
+    mv rad_bal.out rad_bal${numnew}.out
 endif
 
+if ( -f h2o_bal.out ) then
+    mv h2o_bal.out h2o_bal${numnew}.out
+endif
 
 # If we are over nummax : stop
Index: /trunk/LMDZ.GENERIC/deftank/run1d.earlymars
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/run1d.earlymars	(revision 252)
+++ /trunk/LMDZ.GENERIC/deftank/run1d.earlymars	(revision 253)
@@ -1,5 +1,5 @@
 #
 #----------------------------------------------------------------------- 
-# Run parameters for the 1D 'testphys1d.e' model                                          
+# Run parameters for the 1D 'rcm1d.e' model                                          
 #-----------------------------------------------------------------------                                         
 
Index: /trunk/LMDZ.GENERIC/deftank/run1d.earth
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/run1d.earth	(revision 252)
+++ /trunk/LMDZ.GENERIC/deftank/run1d.earth	(revision 253)
@@ -1,5 +1,5 @@
 #
 #----------------------------------------------------------------------- 
-# Run parameters for the 1D 'testphys1d.e' model                                          
+# Run parameters for the 1D 'rcm1d.e' model                                          
 #-----------------------------------------------------------------------                                         
 
@@ -11,7 +11,7 @@
 time=0
 # Number of time steps per sol
-day_step=48
+day_step=24 
 # Number of sols to run 
-ndt=2000
+ndt =2000
 
 #### Physical parameters
@@ -23,17 +23,17 @@
 # Molar mass of atmosphere (g)
 mugaz=28.97
-# Specific heat capacity of atmosphere (J kg-1 K-1)
+# Specific heat capacity of atmosphere?
 cpp=1003.0
 # latitude (in degrees)
 latitude=60.0
 # orbital distance at perihelion (AU)
-periheli=1.0
+periastr=1.0
 # orbital distance at aphelion (AU)
-aphelie=1.0
+apoastr=1.0
 # obliquity (degrees)
 obliquit=0.0
 
 # Albedo of bare ground
-albedo=0.1
+albedo=0.16
 # Emissivity of bare ground
 emis=1.0
@@ -48,5 +48,6 @@
 # hybrid vertical coordinate ? (.true. for hybrid and .false. for sigma levels)
 hybrid=.false.
-
+# autocompute vertical discretisation? (useful for exoplanet runs)
+autozlevs=.true.
 
 ###### Initial atmospheric temperature profile
@@ -73,5 +74,4 @@
 hauteur=30.
 
-
 # some definitions for the physics, in file 'callphys.def'
 INCLUDEDEF=callphys.def
Index: /trunk/LMDZ.GENERIC/deftank/start_earlymars
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/start_earlymars	(revision 252)
+++ /trunk/LMDZ.GENERIC/deftank/start_earlymars	(revision 253)
@@ -7,7 +7,7 @@
 peri_day
 0.0
-periheli
+periastr
 227.9
-aphelie
+apoastr
 227.9
 year_day
@@ -25,4 +25,7 @@
 daysec
 88775.00
+albedice
+0.5
+0.5
 
 surface_mars.nc
@@ -32,5 +35,5 @@
 250
 ptot
-200000.0
+500000.0
 y
 n
@@ -38,9 +41,8 @@
 1.0
 isotherm
-260
+260.0
 co2ice=0
 q=0
-watercapn
-watercaps
+oborealis
 
 exit 0
Index: /trunk/LMDZ.GENERIC/deftank/start_earth
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/start_earth	(revision 252)
+++ /trunk/LMDZ.GENERIC/deftank/start_earth	(revision 253)
@@ -7,10 +7,12 @@
 peri_day
 0.0
-periheli
+periastr
 149.0
-aphelie
+apoastr
 149.0
 year_day
 365
+rad
+6378137.0
 omeg
 7.2722E-05
@@ -26,7 +28,4 @@
 surface_earth.nc
 0
-bilball
-0.1
-250
 ptot
 101325.0
@@ -34,11 +33,6 @@
 y
 101325.0
-emis
-1.0
-isotherm
-300
+radequi
 q=0
-watercapn
-watercaps
 
 exit 0
Index: /trunk/LMDZ.GENERIC/deftank/z2sig.earth
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/z2sig.earth	(revision 252)
+++ /trunk/LMDZ.GENERIC/deftank/z2sig.earth	(revision 253)
@@ -20,2 +20,10 @@
    3.6962495e+01
    4.0453872e+01
+   45
+   50
+   55
+   60
+   65
+   70
+   80
+   90
Index: /trunk/LMDZ.GENERIC/deftank/z2sig.mars
===================================================================
--- /trunk/LMDZ.GENERIC/deftank/z2sig.mars	(revision 252)
+++ /trunk/LMDZ.GENERIC/deftank/z2sig.mars	(revision 253)
@@ -1,4 +1,3 @@
-10.00000     H: atmospheric scale height (km) (used as a reference only)
-0.0040       Typical pseudo-altitude (m) for 1st layer (z=H*log(sigma))
+8.00000     H: atmospheric scale height (km) (used as a reference only)
 0.018       ,, ,,  ,, ,, ,, ,,  ,, ,, ,,  2nd layer, etc...
 0.0400
Index: /trunk/LMDZ.GENERIC/libf/dyn3d/addfi.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/dyn3d/addfi.F	(revision 252)
+++ /trunk/LMDZ.GENERIC/libf/dyn3d/addfi.F	(revision 253)
@@ -135,12 +135,15 @@
 c     ENDDO
 
+! increment tracers
       DO iq = 1, nq
          DO k = 1,llm
             DO j = 1,ip1jmp1
+!               pq(j,k,iq)=  pdqfi(j,k,iq) * pdt
                pq(j,k,iq)= pq(j,k,iq) + pdqfi(j,k,iq) * pdt
-               pq(j,k,iq)= AMAX1( pq(j,k,iq), qtestt )
+               pq(j,k,iq)= AMAX1( pq(j,k,iq), qtestt ) ! forbid negative tracer values
             ENDDO
          ENDDO
       ENDDO
+!      print*,'MAJOR TRACER MOD in addfi for test'
                                        
 
